@def title = "Notebooks"

Here are a number of notebooks which start from the basics.

* [The basics](../basics)

* [Your first inference program](../baby_steps)

Here are a number of notebooks which explore common models, modeling idioms, and usage of the inference library.

* [Bayesian linear regression (with importance sampling)](../bayeslinreg)

* [Gaussian mixture models (with a custom block MH/HMC MCMC kernel)](../gmm)

* [Bayesian Lotka-Volterra (with AdvancedHMC inference)](../blotka)

* [Hidden Markov model with multivariate transition and observation (with programmable particle filtering)](../hmm)

* [Data-driven proposals (with neural VI)](../ddp_nvi)

* [Variational autoencoder (with neural geometric VIMCO)](../vae_nvim)
